PAM_OPEN_SESSION(3) | Library Functions Manual | PAM_OPEN_SESSION(3)

# NAME

pam_open_session — open a user session

# SYNOPSIS

#include <sys/types.h>
#include <security/pam_appl.h>
int
pam_open_session(pam_handle_t *pamh, int flags);

# DESCRIPTION

The pam_open_session() sets up a user session for a previously authenticated user. The session should later be torn down by a call to pam_close_session(3).
The flags argument is the binary or of zero or more of the following values:

`PAM_SILENT`
  Do not emit any messages.

If any other bits are set, pam_open_session() will return `PAM_BAD_CONSTANT`.

# RETURN VALUES

The pam_open_session() function returns one of the following values:

[`PAM_SUCCESS`]
  Success.
[`PAM_ABORT`]
  General failure.
[`PAM_BAD_CONSTANT`]
  Bad constant.
[`PAM_BUF_ERR`]
  Memory buffer error.
[`PAM_CONV_ERR`]
  Conversation failure.
[`PAM_PERM_DENIED`]
  Permission denied.
[`PAM_SERVICE_ERR`]
  Error in service module.
[`PAM_SESSION_ERR`]
  Session failure.
[`PAM_SYSTEM_ERR`]
  System error.

# SEE ALSO

pam(3), pam_close_session(3), pam_strerror(3)

# STANDARDS

X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

# AUTHORS

The pam_open_session() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.
The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

April 30, 2017 | NetBSD 8.2